# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

%if 0
%define reltag _redhat_1
%define namedreltag -redhat-1
%endif
%global namedversion %{version}%{?namedreltag}

%define section free

Name:           svn-javahl
Version:        1.5.9
Release:        1%{?reltag}%{?dist}
Summary:        Java bindings for Subversion
License:        BSD
Group:          Development/Java
URL:            http://subversion.apache.org/
Source0:        http://subversion.tigris.org/downloads/subversion-1.5.9.tar.bz2
Patch0:         subversion-1.1.3-java.patch
BuildRequires:  apr-devel >= 1.2.2
BuildRequires:  apr-util-devel >= 1.2.2
BuildRequires:  autoconf >= 2.54
BuildRequires:  chrpath
BuildRequires:  db4-devel
BuildRequires:  httpd-devel
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  junit
BuildRequires:  libtool >= 1.4.2
BuildRequires:  neon-devel >= 0.24.7
#>= 3.6.13
BuildRequires:  sqlite-devel >= 3.3.6
BuildRequires:  swig >= 1.3.27
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains the files necessary to use the subversion
library functions within java scripts.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n subversion-%{version}
%patch0 -p1 -b .java
%{__perl} -pi -e 's/SQLITE_MINIMUM_VER="3.4.0"/SQLITE_MINIMUM_VER="3.3.6"/g;' configure configure.ac
%{__perl} -pi -e 's/^LINK_JAVAHL_CXX = \$\(LIBTOOL\) \$\(LTCXXFLAGS\) --mode=link \$\(CXX\) \$\(LT_LDFLAGS\)/\
LINK_JAVAHL_CXX = \$\(LIBTOOL\) \$\(LTCXXFLAGS\) --mode=link \$\(CXX\) \$\(LT_LDFLAGS\) -avoid-version/;' \
              -e 's|^javahl_javadir =.*|javahl_javadir = %{_javadir}|g;' \
  Makefile.in

./autogen.sh

%build
export CFLAGS="-fPIC -I%{java_home}/include"
export CXXFLAGS="-fPIC -I%{java_home}/include"

# both versions could be installed, use the latest one per default
if [ -x %{_bindir}/apr-config ]; then APR=%{_bindir}/apr-config; fi
if [ -x %{_bindir}/apu-config ]; then APU=%{_bindir}/apu-config; fi

if [ -x %{_bindir}/apr-1-config ]; then APR=%{_bindir}/apr-1-config; fi
if [ -x %{_bindir}/apu-1-config ]; then APU=%{_bindir}/apu-1-config; fi

%{configure} \
   --with-apxs=%{_sbindir}/apxs \
   --with-apr=$APR \
   --with-apr-util=${APU} \
   --disable-mod-activation \
   --with-swig=%{_prefix} \
   --disable-static \
   --with-jdk=%{java_home} \
   --with-junit=%{_javadir}/junit.jar \
   --enable-shared 
%if 0
%{_smp_mflags}
%endif
%{__make} javahl_javadir=%{_javadir}
%{__make} javahl javahl_javadir=%{_javadir}

(cd subversion/bindings/javahl/src && %{__mkdir_p} ../javadoc && %{javadoc} -d ../javadoc org.tigris.subversion `%{_bindir}/find -type f -name "*.java"`)

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__make} DESTDIR=%{buildroot} install-javahl

%{__rm} -rf %{buildroot}{%{_bindir},%{_datadir}/locale,%{_includedir},%{_mandir}}
%{__rm} -rf %{buildroot}%{_libdir}{apache,svn-javahl}
%{__rm} -f %{buildroot}%{_libdir}/libsvnjavahl-1.la
%{_bindir}/find %{buildroot}%{_libdir} ! -type d ! -name '*javahl*' | %{_bindir}/xargs -t %{__rm}

%{__mv} %{buildroot}%{_javadir}/svn-javahl.jar %{buildroot}%{_javadir}/svn-javahl-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} ${jar/-%{namedversion}/}; done)

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__cp} -pr subversion/bindings/javahl/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

%{_bindir}/chrpath -d %{buildroot}%{_libdir}/libsvnjavahl-1.so

%clean
%{__rm} -rf %{buildroot}

%if 0
%check
export CLASSPATH=$(%{_bindir}/build-classpath junit):%{buildroot}%{_javadir}/%{name}.jar:$(pwd)/subversion/bindings/java/javahl/src
%{java} -Djava.library.path=%{buildroot}%{_libdir} org.tigris.subversion.javahl.tests.BasicTests
%endif

%files
%defattr(0644,root,root,0755)
%doc COPYING subversion/bindings/javahl/README
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}.jar
%attr(0755,root,root) %{_libdir}/libsvnjavahl-1.so

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Mon Dec 05 2011 David Walluck <walluck@mandriva.org> 1.5.9-1
- 1.5.9

* Mon Jul 14 2009 David Walluck <walluck@mandriva.org> 1.4.2-2
- release
